org.springframework.scheduling.config

## Class SchedulerBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.springframework.scheduling.config.SchedulerBeanDefinitionParser

- All Implemented Interfaces:
    BeanDefinitionParser

      public class SchedulerBeanDefinitionParser
      extends AbstractSingleBeanDefinitionParser

  Parser for the 'scheduler' element of the 'task' namespace.
  Since:
    3.0
  Author:
    Mark Fisher

- - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerBeanDefinitionParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doParse(Element element, BeanDefinitionBuilder builder)` Parse the supplied `Element` and populate the supplied `BeanDefinitionBuilder` as required.
    `protected String` | `getBeanClassName(Element element)` Determine the bean class name corresponding to the supplied `Element`.

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

      `doParse, getBeanClass, getParentName, parseInternal`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerBeanDefinitionParser

          public SchedulerBeanDefinitionParser()

  - ### Method Detail

    - #### getBeanClassName

          protected String getBeanClassName(Element element)

      Description copied from class: `AbstractSingleBeanDefinitionParser`
      Determine the bean class name corresponding to the supplied `Element`.
      Overrides:
        `getBeanClassName` in class `AbstractSingleBeanDefinitionParser`
      Parameters:
        `element` - the `Element` that is being parsed
      Returns:
        the class name of the bean that is being defined via parsing the supplied `Element`, or `null` if none
      See Also:
        `AbstractSingleBeanDefinitionParser.getBeanClass(org.w3c.dom.Element)`

    - #### doParse

          protected void doParse(Element element,
                                 BeanDefinitionBuilder builder)

      Description copied from class: `AbstractSingleBeanDefinitionParser`
      Parse the supplied `Element` and populate the supplied `BeanDefinitionBuilder` as required.

      The default implementation does nothing.

      Overrides:
        `doParse` in class `AbstractSingleBeanDefinitionParser`
      Parameters:
        `element` - the XML element being parsed
        `builder` - used to define the `BeanDefinition`